Bug 795753 - Terminal not reset on CTRL+C (
Terminal not reset on CTRL+C (
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: offlineimap (Show other bugs)
18
All Linux
high Severity high
: ---
: ---
Assigned To: Christoph Höger
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-21 08:09 EST by David Kovalsky
Modified: 2014-03-31 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:44:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Curses fix (1.27 KB, patch)
2012-02-22 15:53 EST, Christoph Höger
no flags Details | Diff

  None (edit)
Description David Kovalsky 2012-02-21 08:09:56 EST
I have 
ui = BlinkenLights 
maxconnections=2 for both sides of IMAP <--> IMAP sync

When I press CTRL+C, I see a red message that offlineimap is terminating. But once it terminates, the terminal (screen) is not reset from ncurses. It seems that echo is still off, because I don't see anything that I type. 

This appeared after the recent push to testing. 

offlineimap-6.5.2.1-1.fc16.noarch
Comment 1 Christoph Höger 2012-02-22 11:26:54 EST
I cannot reproduce this issue. Does this happen every time?
Comment 2 David Kovalsky 2012-02-22 13:10:14 EST
Yes, I can reproduce this 100%. 

I've reproduced this on konsole-4.7.4-2.fc16.x86_64 and gnome-terminal-3.2.1-2.fc16.x86_64.

FYI, this is my offlineimaprc:

[general]
accounts = RedHatImap
ui = BlinkenLights


[Account RedHatImap]
autorefresh=20
localrepository = RedHatImapLocal
remoterepository = RedHatImapRemote
autorefresh=2
fsync=false
ignore-readonly = no
quick=10
status_backend=sqlite

# kerberos
[Repository RedHatImapRemote]
type = IMAP
ssl = yes
remotehost = mail.corp.redhat.com
remoteuser = dkovalsk@REDHAT.COM
folderfilter = lambda foldername: foldername not in ['Trash', 'INBOX/Trash-backup' ]
maxconnections=2

[Repository RedHatImapLocal]
type = IMAP
remotehost = localhost
remoteuser = dovecot-rh
remotepass = PasswordRemoved
ssl = no
maxconnections=2
Comment 3 Christoph Höger 2012-02-22 15:53:56 EST
Created attachment 565101 [details]
Curses fix
Comment 4 Christoph Höger 2012-02-22 15:55:28 EST
Does the attached patch fix your tty?
Comment 5 David Kovalsky 2012-02-23 07:41:13 EST
Yes it does, thank you very much!

As a bonus, I can now properly see the exceptions thrown during the run. 




JFTR, I tried both konsole and gnome-terminal.
Comment 6 Fedora End Of Life 2013-01-16 19:54:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Kovalsky 2013-01-17 05:00:06 EST
Still happening on F17
Comment 8 Fedora End Of Life 2013-07-04 02:38:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 David Kovalsky 2013-07-08 03:40:02 EDT
Still happens on F17 with the latest updates (update release to reflect)

offlineimap-6.5.2.1-2.fc18.noarch
Comment 10 Fedora End Of Life 2013-12-21 10:00:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 17:44:57 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.